Package org.apache.sling.commons.json.util

# Class Validator

java.lang.Object
org.apache.sling.commons.json.util.Validator

@Deprecated public class Validator extends Object
Deprecated.
Utility class for validating JSON text.

## Constructor Summary

Constructors
Constructor
Description
`Validator()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static void`
`validate(String text)`
Deprecated.
Strictly validate the JSON text
`static void`
`validate(JSONTokener x)`
Deprecated.
Strictly validate the JSON text

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Validator

public Validator()
Deprecated.

## Method Details

### validate

public static void validate(String text) throws JSONException
Deprecated.
Strictly validate the JSON text

Parameters:
  `text` - The text to check.
Throws:
  `JSONException` - If the text is not valid.

### validate

public static void validate(JSONTokener x) throws JSONException
Deprecated.
Strictly validate the JSON text

Parameters:
  `x` - The tokener to check.
Throws:
  `JSONException` - If the text is not valid.